%define installprefix %{_datadir}
%define datadir %{_datadir}/owncloud/data
%define __jar_repack 0
%define _binaries_in_noarch_packages_terminate_build   0

Summary: ownCloud Server
URL: http://www.owncloud.org
Name: owncloud
Version: 7.0.10
Packager: Tim Burgess <timb80@yahoo.com>
Release: 1%{?dist}
Source0: http://download.owncloud.org/releases/owncloud-%{version}.tar.bz2
Source1: owncloud-httpd.conf
Source2: owncloud-htaccess
Source3: owncloud-readme
Summary: ownCloud Server - Private file sync and share server
License: AGPL-3.0 and MIT
Group: Productivity/Networking/Web/Utilities

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: php >= 5.2.3, httpd >= 2.2, php-json, php-mysql, php-xml, php-mbstring, php-process, php-pear-MDB2-Driver-mysqli, php-pear-Net-Curl, php-gd, php-xml, php-zip, php-sqlite3, php-curl, php-pdo, php-ldap, php-intl
Requires: ntp curl owncloud-3rdparty
BuildRequires: httpd
BuildArch: noarch

#Obsoletes: 

%description
ownCloud Server provides you a private file sync and share
cloud. Host this server to easily sync business or private documents
across all your devices, and share those documents with other users of
your ownCloud server on their devices.

ownCloud - Your Cloud, Your Data, Your Way!  www.owncloud.org

%package 3rdparty
License:      PHP-3.01
Group:        Development/Libraries/PHP
Summary:      3rdparty libraries for ownCloud
Requires:     %{name} = %{version}
%description 3rdparty
3rdparty libraries needed for running ownCloud.
Contained in separate package due to different source code licenses.


%prep
%setup -q -n %{name}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{installprefix}/%{name}
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/owncloud.conf
install -m 0644 -p %{SOURCE2} ${RPM_BUILD_ROOT}%{installprefix}/%{name}/.htaccess
install -m 0644 -p %{SOURCE3} ${RPM_BUILD_ROOT}%{installprefix}/%{name}/README
cp -pr * ${RPM_BUILD_ROOT}%{installprefix}/%{name}
mkdir -p ${RPM_BUILD_ROOT}%{datadir}
touch ${RPM_BUILD_ROOT}%{datadir}/.ocdata
rm ${RPM_BUILD_ROOT}%{installprefix}/%{name}/l10n/l10n.pl

#clean sources of odfviewer
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/%{name}/apps/files/odfviewer/src
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/%{name}/phpass/c
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/%{name}/3rdparty/phpdocx/pdf/lib/ttf2ufm
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/%{name}/3rdparty/phpdocx/pdf/tcpdf/fonts/utils/ttf2ufm
rm -rf ${RPM_BUILD_ROOT}%{installprefix}/%{name}/3rdparty/phpdocx/pdf/tcpdf/fonts/utils/pfm2afm

#not needed for distro
rm ${RPM_BUILD_ROOT}%{installprefix}/%{name}/indie.json

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/service httpd condrestart

%files
%defattr(0640,root,apache,0750)
%exclude %{installprefix}/%{name}/3rdparty/PEAR*
%exclude %{installprefix}/%{name}/3rdparty/System.php

%dir %{installprefix}/%{name}
%{installprefix}/%{name}/3rdparty
%doc %{installprefix}/%{name}/AUTHORS
%doc %{installprefix}/%{name}/COPYING-AGPL
%{installprefix}/%{name}/core
%{installprefix}/%{name}/db_structure.xml
%{installprefix}/%{name}/index.php
%{installprefix}/%{name}/l10n
%{installprefix}/%{name}/lib
%{installprefix}/%{name}/ocs
%{installprefix}/%{name}/public.php
%doc %{installprefix}/%{name}/README*
%{installprefix}/%{name}/remote.php
%{installprefix}/%{name}/search
%{installprefix}/%{name}/settings
%{installprefix}/%{name}/status.php
%{installprefix}/%{name}/themes
%{installprefix}/%{name}/cron.php
%{installprefix}/%{name}/.htaccess
%{installprefix}/%{name}/robots.txt
%{installprefix}/%{name}/index.html
%{installprefix}/%{name}/console.php
%{installprefix}/%{name}/occ
%{installprefix}/%{name}/version.php

%defattr(-,apache,apache,0770)
%dir %{installprefix}/%{name}/apps
%{installprefix}/%{name}/data
%dir %{installprefix}/%{name}/config

%defattr(0640,root,apache,0750)
%{installprefix}/%{name}/apps/*
%{installprefix}/%{name}/config/*
%{installprefix}/%{name}/config/.htaccess

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/httpd/conf.d/owncloud.conf

%files 3rdparty
%defattr(0640,root,apache,0750)
%{installprefix}/%{name}/3rdparty/PEAR/
%{installprefix}/%{name}/3rdparty/PEAR.php
%{installprefix}/%{name}/3rdparty/PEAR5.php
%{installprefix}/%{name}/3rdparty/PEAR-LICENSE
%{installprefix}/%{name}/3rdparty/System.php


%changelog
* Wed Sep 09 2015 Tim Burgess <timb80@yahoo.com> - 7.0.10-1
- Update to 7.0.10
* Wed Jan 07 2015 Tim Burgess <timb80@yahoo.com> - 7.0.4-1
- Update to 7.0.4 
* Thu Oct 30 2014 Tim Burgess <timb80@yahoo.com> - 7.0.2-1
- Update to 7.0.2 build
* Wed Jul 23 2014 Tim Burgess <timb80@yahoo.com> - 7.0.0-1
- Update to 7.0.0
- Spec and file changes to match upstream
* Sun Jul 20 2014 Tim Burgess <timb80@yahoo.com> - 6.0.4-1
- Update to 6.0.4
* Sat Jun 07 2014 Tim Burgess <timb80@yahoo.com> - 6.0.3-2
- Fix installation of .ocdata into data directory
* Wed May 07 2014 Tim Burgess <timb80@yahoo.com> - 6.0.3-1
- Update build to 6.0.3
* Wed Jan 01 2014 Tim Burgess <timb80@yahoo.com> - 6.0.0a-1
- Update build to 6.0.0a
* Mon Nov 18 2013 Tim Burgess <timb80@yahoo.com> - 5.1.13-1
- Update to 5.0.13
- Amend build requires
- Add owncloud-3rdparty rpm as per upstream packaging
* Mon Jul 22 2013 Tim Burgess <timb80@yahoo.com> - 5.0.9-1
- Update to 5.0.9
* Thu Jun 13 2013 Tim Burgess <timb80@yahoo.com> - 5.0.7-1
- Update to 5.0.7
* Thu Jun 06 2013 Tim Burgess <timb80@yahoo.com> - 5.0.6-1
- Update to 5.0.6
* Mon Mar 25 2013 Tim Burgess <timb80@yahoo.com> - 5.0.0-1
- Update to 5.0.0
* Mon Jan 07 2013 Tim Burgess <timb80@yahoo.com> - 4.5.5-1
- Update to 4.5.5
* Sat Aug 04 2012 Tim Burgess <timb80@yahoo.com> - 4.0.6-1
- Initial build
